Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.client
Class SequenceReport

    java.lang.Object
      org.apache.sandesha2.client.SequenceReport

    public class SequenceReport

extends java.lang.Object

This report will contain details of a specific sequence.

Field Summary
`static byte` | `SEQUENCE_DIRECTION_IN`
`static byte` | `SEQUENCE_DIRECTION_OUT`
`static byte` | `SEQUENCE_DIRECTION_UNKNOWN`
`static byte` | `SEQUENCE_STATUS_ESTABLISHED`
`static byte` | `SEQUENCE_STATUS_INITIAL`
`static byte` | `SEQUENCE_STATUS_TERMINATED`
`static byte` | `SEQUENCE_STATUS_TIMED_OUT`
`static byte` | `SEQUENCE_STATUS_UNKNOWN`

Constructor Summary
`SequenceReport()`

Method Summary
`void` | `addCompletedMessage(java.lang.Long messageNo)`
`java.util.List<java.lang.Long>` | `getCompletedMessages()`
`java.lang.String` | `getInternalSequenceID()`
`byte` | `getSequenceDirection()`
`java.lang.String` | `getSequenceID()`
`byte` | `getSequenceStatus()`
`boolean` | `isSecureSequence()`
`void` | `setCompletedMessages(java.util.ArrayList<java.lang.Long> completedMessages)`
`void` | `setInternalSequenceID(java.lang.String internalSequenceID)`
`void` | `setSecureSequence(boolean secureSequence)`
`void` | `setSequenceDirection(byte sequenceDirection)`
`void` | `setSequenceID(java.lang.String sequenceID)`
`void` | `setSequenceStatus(byte sequenceStatus)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEQUENCE_STATUS_UNKNOWN

    public static final byte SEQUENCE_STATUS_UNKNOWN

See Also:
  Constant Field Values

### SEQUENCE_STATUS_INITIAL

    public static final byte SEQUENCE_STATUS_INITIAL

See Also:
  Constant Field Values

### SEQUENCE_STATUS_ESTABLISHED

    public static final byte SEQUENCE_STATUS_ESTABLISHED

See Also:
  Constant Field Values

### SEQUENCE_STATUS_TERMINATED

    public static final byte SEQUENCE_STATUS_TERMINATED

See Also:
  Constant Field Values

### SEQUENCE_STATUS_TIMED_OUT

    public static final byte SEQUENCE_STATUS_TIMED_OUT

See Also:
  Constant Field Values

### SEQUENCE_DIRECTION_UNKNOWN

    public static final byte SEQUENCE_DIRECTION_UNKNOWN

See Also:
  Constant Field Values

### SEQUENCE_DIRECTION_IN

    public static final byte SEQUENCE_DIRECTION_IN

See Also:
  Constant Field Values

### SEQUENCE_DIRECTION_OUT

    public static final byte SEQUENCE_DIRECTION_OUT

See Also:
  Constant Field Values

Constructor Detail

### SequenceReport

    public SequenceReport()

Method Detail

### setSequenceStatus

    public void setSequenceStatus(byte sequenceStatus)

### setSequenceDirection

    public void setSequenceDirection(byte sequenceDirection)

### getSequenceStatus

    public byte getSequenceStatus()

### getSequenceDirection

    public byte getSequenceDirection()

### getSequenceID

    public java.lang.String getSequenceID()

### setSequenceID

    public void setSequenceID(java.lang.String sequenceID)

### getCompletedMessages

    public java.util.List<java.lang.Long> getCompletedMessages()

### addCompletedMessage

    public void addCompletedMessage(java.lang.Long messageNo)

### setCompletedMessages

    public void setCompletedMessages(java.util.ArrayList<java.lang.Long> completedMessages)

### getInternalSequenceID

    public java.lang.String getInternalSequenceID()

### setInternalSequenceID

    public void setInternalSequenceID(java.lang.String internalSequenceID)

### isSecureSequence

    public boolean isSecureSequence()

### setSecureSequence

    public void setSecureSequence(boolean secureSequence)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.